Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes

# OdeGeom Class Reference

Inheritance diagram for OdeGeom:

List of all members.

## Public Types
enum | GeomClass { GCSphere = 0, GCBox = 1, GCCappedCylinder = 2, GCCylinder = 3, GCPlane = 4, GCRay = 5, GCTriMesh = 8, GCSimpleSpace = 10, GCHashSpace = 11, GCQuadTreeSpace = 12 }
## Public Member Functions
| clearOffset ()
int | compareTo (OdeGeom const other)
OdeBoxGeom | convertToBox ()
OdeCappedCylinderGeom | convertToCappedCylinder ()
OdeCylinderGeom | convertToCylinder ()
OdeHashSpace | convertToHashSpace ()
OdePlaneGeom | convertToPlane ()
OdeQuadTreeSpace | convertToQuadTreeSpace ()
OdeRayGeom | convertToRay ()
OdeSimpleSpace | convertToSimpleSpace ()
OdeSphereGeom | convertToSphere ()
OdeTriMeshGeom | convertToTriMesh ()
| destroy ()
| disable ()
| enable ()
| getAABB (VBase3 min, VBase3 max)
OdeBody | getBody ()
BitMaskunsigned | getCategoryBits ()
int | getClass ()
BitMaskunsigned | getCollideBits ()
dxGeom | getId ()
| Returns the underlying dGeomID.
Point3 | getOffsetPosition ()
Quat | getOffsetQuaternion ()
Mat3 | getOffsetRotation ()
Point3 | getPosition ()
Quat | getQuaternion ()
Mat3 | getRotation ()
OdeSpace | getSpace ()
bool | hasBody ()
bool | isEmpty ()
| Returns true if the ID is 0, meaning the OdeGeom does not point to a valid geom.
int | isEnabled ()
int | isOffset ()
int | isSpace ()
| setBody (OdeBody body)
| setCategoryBits (BitMaskunsigned int, 32 const bits)
| setCollideBits (BitMaskunsigned int, 32 const bits)
| setOffsetPosition (float x, float y, float z)
| setOffsetPosition (VBase3 const pos)
| setOffsetQuaternion (Quat const q)
| setOffsetRotation (Mat3 const r)
| setOffsetWorldPosition (float x, float y, float z)
| setOffsetWorldPosition (VBase3 const pos)
| setOffsetWorldQuaternion (Quat const q)
| setOffsetWorldRotation (Mat3 const r)
| setPosition (VBase3 const pos)
| setPosition (float x, float y, float z)
| setQuaternion (Quat const q)
| setRotation (Mat3 const r)
| write ()
| write (ostream out)
| write (ostream out, unsigned int indent)
## Static Public Member Functions
static TypeHandle | getClassType ()
## Public Attributes
BitMaskunsigned | int

## Member Enumeration Documentation

enum GeomClass

Enumerator:

  GCSphere |
  GCBox |
  GCCappedCylinder |
  GCCylinder |
  GCPlane |
  GCRay |
  GCTriMesh |
  GCSimpleSpace |
  GCHashSpace |
  GCQuadTreeSpace |

## Member Function Documentation

clearOffset | ( |  | ) |

int compareTo | ( | OdeGeom const | other | ) |

OdeBoxGeom convertToBox | ( |  | ) |

OdeCappedCylinderGeom convertToCappedCylinder | ( |  | ) |

OdeCylinderGeom convertToCylinder | ( |  | ) |

OdeHashSpace convertToHashSpace | ( |  | ) |

OdePlaneGeom convertToPlane | ( |  | ) |

OdeQuadTreeSpace convertToQuadTreeSpace | ( |  | ) |

OdeRayGeom convertToRay | ( |  | ) |

OdeSimpleSpace convertToSimpleSpace | ( |  | ) |

OdeSphereGeom convertToSphere | ( |  | ) |

OdeTriMeshGeom convertToTriMesh | ( |  | ) |

destroy | ( |  | ) |

Reimplemented in OdeTriMeshGeom.

disable | ( |  | ) |

enable | ( |  | ) |

getAABB | ( | VBase3 | min,
|  | VBase3 | max
| ) |  |

OdeBody getBody | ( |  | ) |

BitMaskunsigned getCategoryBits | ( |  | ) |

int getClass | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in OdeBoxGeom, OdeCappedCylinderGeom, OdeCylinderGeom, OdePlaneGeom, OdeRayGeom, OdeSphereGeom, and OdeTriMeshGeom.

BitMaskunsigned getCollideBits | ( |  | ) |

dxGeom getId | ( |  | ) |

Returns the underlying dGeomID.

Point3 getOffsetPosition | ( |  | ) |

Quat getOffsetQuaternion | ( |  | ) |

Mat3 getOffsetRotation | ( |  | ) |

Point3 getPosition | ( |  | ) |

Quat getQuaternion | ( |  | ) |

Mat3 getRotation | ( |  | ) |

OdeSpace getSpace | ( |  | ) |

bool hasBody | ( |  | ) |

bool isEmpty | ( |  | ) |

Returns true if the ID is 0, meaning the OdeGeom does not point to a valid geom.

It is an error to call a method on an empty geom. Note that an empty OdeGeom also evaluates to False.

int isEnabled | ( |  | ) |

int isOffset | ( |  | ) |

int isSpace | ( |  | ) |

setBody | ( | OdeBody | body | ) |

setCategoryBits | ( | BitMaskunsigned | int,
|  | 32 const | bits
| ) |  |

setCollideBits | ( | BitMaskunsigned | int,
|  | 32 const | bits
| ) |  |

setOffsetPosition | ( | VBase3 const | pos | ) |

setOffsetPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setOffsetQuaternion | ( | Quat const | q | ) |

setOffsetRotation | ( | Mat3 const | r | ) |

setOffsetWorldPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setOffsetWorldPosition | ( | VBase3 const | pos | ) |

setOffsetWorldQuaternion | ( | Quat const | q | ) |

setOffsetWorldRotation | ( | Mat3 const | r | ) |

setPosition | ( | VBase3 const | pos | ) |

setPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setQuaternion | ( | Quat const | q | ) |

setRotation | ( | Mat3 const | r | ) |

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

write | ( | ostream | out | ) |

write | ( |  | ) |

## Member Data Documentation

BitMaskunsigned int

All Classes Namespaces Functions Variables Enumerations Enumerator Properties